function u=matsample(M,nmin,nmax)

%% (c) 2004 Marco Cuturi , marco.cuturi@ensmp.fr
%% Distributed under GPL licence


% Given a database of full images, computes a database of sampled pixels
% where for each amount between nmin and nmax pixels are selected.

taille=size(M);
u=zeros(taille(1,1),2+nmax);
for j=1:taille(1,1)
    u(j,1)=M(j,1);
    P=randperm(nmax-nmin+1);
    u(j,2)=nmin+P(1)-1;
    u(j,3:nmax+2)=nsample(M(j,2:taille(1,2)),u(j,2),nmax);
end